## org.eclipse.emf.common.ui.celleditor
Class BasicTableEditor

    java.lang.Object
      org.eclipse.swt.custom.ControlEditor
          org.eclipse.swt.custom.TableEditor
              org.eclipse.emf.common.ui.celleditor.BasicTableEditor

Direct Known Subclasses:
  MultiColumnTableEditor, SingleColumnTableEditor

    public abstract class BasicTableEditor

extends TableEditor

The base class for implementing single-column and multi-column table editing.

Provisional API. Please do not use it for anything more than experimentation.

Since:
  2.5

Field Summary
`protected Table` `table`

Fields inherited from class org.eclipse.swt.custom.ControlEditor
`grabHorizontal, grabVertical, horizontalAlignment, minimumHeight, minimumWidth, verticalAlignment`

Constructor Summary
`BasicTableEditor(Table table)`

Method Summary
`protected boolean` `canEdit(TableItem item, int column)`
`protected abstract Control` `createEditor(TableItem item, int column)`
`protected Text` `createTextEditor(TableItem item, int column)`
`protected void` `edit(TableItem item, int column)`
`protected void` `endEditing(TableItem item, int column, Control editor, boolean accept)`
`protected TableItem` `getSelection()`
`protected abstract void` `update(TableItem item, int column, Control editor)`

Methods inherited from class org.eclipse.swt.custom.TableEditor
`dispose, getColumn, getItem, layout, setColumn, setEditor, setEditor, setItem`

Methods inherited from class org.eclipse.swt.custom.ControlEditor
`getEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected Table table

Constructor Detail

### BasicTableEditor

    public BasicTableEditor(Table table)

Method Detail

### getSelection

    protected TableItem getSelection()

### edit

    protected void edit(TableItem item,
                        int column)

### canEdit

    protected boolean canEdit(TableItem item,
                              int column)

### createEditor

    protected abstract Control createEditor(TableItem item,
                                            int column)

### createTextEditor

    protected Text createTextEditor(TableItem item,
                                    int column)

### endEditing

    protected void endEditing(TableItem item,
                              int column,
                              Control editor,
                              boolean accept)

### update

    protected abstract void update(TableItem item,
                                   int column,
                                   Control editor)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.